config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
preserve_perms() {
  NEW="$1"
  OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
  if [ -e ${OLD} ]; then
    cp -a ${OLD} ${NEW}.incoming
    cat ${NEW} > ${NEW}.incoming
    mv ${NEW}.incoming ${NEW}
  fi
  config ${NEW}
}
  echo "polkitd:x:87:87:PolicyKit daemon owner:/var/lib/polkit:/bin/false" >> etc/passwd
( cd usr/lib ; rm -rf libpolkit-agent-1.so.0 )
( cd usr/lib ; ln -sf libpolkit-agent-1.so.0.0.0 libpolkit-agent-1.so.0 )
( cd usr/lib ; rm -rf libpolkit-agent-1.so )
( cd usr/lib ; ln -sf libpolkit-agent-1.so.0.0.0 libpolkit-agent-1.so )
( cd usr/lib ; rm -rf libpolkit-gobject-1.so.0 )
( cd usr/lib ; ln -sf libpolkit-gobject-1.so.0.0.0 libpolkit-gobject-1.so.0 )
( cd usr/lib ; rm -rf libpolkit-gobject-1.so )
( cd usr/lib ; ln -sf libpolkit-gobject-1.so.0.0.0 libpolkit-gobject-1.so )
